Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.extension
Interface IBaseResultSet

All Known Subinterfaces:
  ICubeResultSet, IQueryResultSet

    public interface IBaseResultSet

Field Summary
`static int` | `CUBE_RESULTSET`
`static int` | `QUERY_RESULTSET`

Method Summary
`void` | `close()`
`java.lang.Object` | `evaluate(org.eclipse.birt.data.engine.api.IBaseExpression expr)`
`java.lang.Object` | `evaluate(java.lang.String expr)`
`DataSetID` | `getID()`
`IBaseResultSet` | `getParent()`
`org.eclipse.birt.data.engine.api.IBaseQueryResults` | `getQueryResults()`
`java.lang.String` | `getRawID()` return the Raw ID
`int` | `getType()`

Field Detail

### QUERY_RESULTSET

    static final int QUERY_RESULTSET

See Also:
  Constant Field Values

### CUBE_RESULTSET

    static final int CUBE_RESULTSET

See Also:
  Constant Field Values

Method Detail

### getType

    int getType()

### getQueryResults

    org.eclipse.birt.data.engine.api.IBaseQueryResults getQueryResults()

### getRawID

    java.lang.String getRawID()
                              throws org.eclipse.birt.core.exception.BirtException

  return the Raw ID

  Returns:
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### getID

    DataSetID getID()

### getParent

    IBaseResultSet getParent()

### evaluate

    java.lang.Object evaluate(java.lang.String expr)
                              throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### evaluate

    java.lang.Object evaluate(org.eclipse.birt.data.engine.api.IBaseExpression expr)
                              throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### close

    void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.